1. Mpesa
Asteria API DOCs
  • Getting Started
  • Webhooks
  • Auth
    • Validate & Generate Access Token
      POST
  • Collections
    • Pay via Bank Transfer
      • Get Banks
      • Generate Dynamic VIrtual Account
      • Check Payment Status
    • Cards
      • Generate Payment Advice
      • Charge Card
    • Mpesa
      • Mpesa API
        POST
  • Payouts
    • Get Bank List
      GET
    • Validate Account
      POST
    • Initiate Transfer
      POST
    • Check Payout Status
      POST
  • Account
    • Get Wallet Balance
      GET
  1. Mpesa

Mpesa API

Developing
POST
https://dev-gateway.mydartdigital.com/collections/mpesa/initiate-payment

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dev-gateway.mydartdigital.com/collections/mpesa/initiate-payment' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "amount":2000,
    "reference":"Ref-Dart-4349390183",
    "phoneNumber":"2540721374274",
    "customerName":"Jesse Coders",
    "description":"Payment"
}'
Response Response Example
{}
Modified at 2026-06-15 07:47:13
Previous
Charge Card
Next
Get Bank List
Built with